/* ======================================================== */
/* Variables */
/* ======================================================== */
:root {
    --clr-white: white;
    --clr-dark-blue: #00072D;
    --clr-blue: #003D7C;
    --clr-light-blue: #00A8E8;
    --clr-light-blue-hover: #0094CC;
    --clr-beige: #FFEDD8;
    --clr-beige-hover: #EBDBC7;


    --container-width: 1920px;


    --fs-sm: 12px;
    --fs-base: 14px;
    --fs-md: 16px;
    --fs-lg: 18px;
    --fs-xl: 20px;
    --fs-xxl: 24px;
    --fs-xxxl: 26px;
}

/* ======================================================== */
/* Base */
/* ======================================================== */

body {
    margin: 0;
    background: var(--clr-white);
    font-family: "Poppins", sans-serif;
    color: var(--clr-midnight-green);
    font-weight: 400;
    font-style: normal;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

li {
    font-size: var(--fs-base);
    font-weight: 400;

}

a {
    text-decoration: none;
    color: currentColor;
}

button {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    line-height: 1;
    cursor: pointer;
}

button:disabled {
    cursor: not-allowed;
}

/* ======================================================== */
/* Typo */
/* ======================================================== */

h1,
.headline-1 {
    font-size: var(--fs-xxl);
    margin: 0 0 0.375em 0;
    line-height: 1.175em;
}

h2,
.headline-2 {
    font-size: var(--fs-xl);
    margin: 0 0 0.5em 0;
    line-height: 1.275em;
}

h3,
.headline-3 {
    font-size: var(--fs-lg);
    margin: 0 0 0.2em 0;
    line-height: 1.375em;
}

h4,
.headline-4 {
    font-size: var(--fs-md);
    margin: 0 0 0.5em 0;
    line-height: 1.5em;
}

p,
.headline-5 {
    font-size: var(--fs-base);
    margin: 0 0 1em 0;
    line-height: 1.5em;
}

small {
    display: block;
    font-size: var(--fs-sm);
    margin: 0 0 1em 0;
    line-height: 1.6em;
}

.text-center {
    text-align: center;
}

/* ======================================================== */
/* Buttons */
/* ======================================================== */

.btn {
    display: flex;
    gap: .5rem;
    justify-content: center;
    align-items: center;
    height: 2rem;
    padding: 0rem 1rem;
    border-radius: 0.5rem;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-size: var(--fs-base);
    background: var(--clr-light-blue);
    color: var(--clr-white);
    transition: background 0.2s, transform 0.05s;

    white-space: nowrap;
    overflow: hidden;
}

.btn:active {
    transform: translateY(1px);
}

.btn:hover {
    background: var(--clr-light-blue-hover);
}

/* ======================================================== */
/* Images */
/* ======================================================== */

.images {
    width: 100%;
    border-radius: 1rem;
}

/* ======================================================== */
/* Anchor links */
/* ======================================================== */

#Tauchspots {
    scroll-margin-top: 5rem;
}

#Kurse {
    scroll-margin-top: 5rem;
}

#Über-uns {
    scroll-margin-top: 5rem;
}

#Kontakt {
    scroll-margin-top: 5rem;
}

#Buchungsformular {
    scroll-margin-top: 5rem;
}

/* ======================================================== */
/* Layout */
/* ======================================================== */

.container {
    width: 100%;
    max-width: var(--container-width);
    margin: 0 auto;
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    margin: 0% 10%;
}

.align-center {
    align-items: center;
}

.m-b-l {
    margin-bottom: 5%;
}

.gutter {
    gap: 1rem;
}

.col-1 {
    grid-column: span 1;
}

.col-2 {
    grid-column: span 2;
}

.col-3 {
    grid-column: span 3;
}

.col-4 {
    grid-column: span 4;
}

.col-5 {
    grid-column: span 5;
}

.col-6 {
    grid-column: span 6;
}

.col-7 {
    grid-column: span 7;
}

.col-8 {
    grid-column: span 8;
}

.col-9 {
    grid-column: span 9;
}

.col-10 {
    grid-column: span 10;
}

.col-11 {
    grid-column: span 11;
}

.col-12 {
    grid-column: span 12;
}

.col-sm-1 {
    @media (max-width: 1024px) {
        grid-column: span 1;
    }
}

.col-sm-2 {
    @media (max-width: 1024px) {
        grid-column: span 2;
    }
}

.col-sm-3 {
    @media (max-width: 1024px) {
        grid-column: span 3;
    }
}

.col-sm-4 {
    @media (max-width: 1024px) {
        grid-column: span 4;
    }
}

.col-sm-5 {
    @media (max-width: 1024px) {
        grid-column: span 5;
    }
}

.col-sm-6 {
    @media (max-width: 1024px) {
        grid-column: span 6;
    }
}

.col-sm-7 {
    @media (max-width: 1024px) {
        grid-column: span 7;
    }
}

.col-sm-8 {
    @media (max-width: 1024px) {
        grid-column: span 8;
    }
}

.col-sm-9 {
    @media (max-width: 1024px) {
        grid-column: span 9;
    }
}

.col-sm-10 {
    @media (max-width: 1024px) {
        grid-column: span 10;
    }
}

.col-sm-11 {
    @media (max-width: 1024px) {
        grid-column: span 11;
    }
}

.col-sm-12 {
    @media (max-width: 1024px) {
        grid-column: span 12;
    }
}

/* ======================================================== */
/* Intro-Video */
/* ======================================================== */

body:has(#splash-container):not(.video-removed) {
    overflow: hidden;
}

body:has(#splash-container):not(.video-removed) .container>*:not(#splash-container) {
    opacity: 0;
    visibility: hidden;
}

body.video-removed .container>* {
    transition: opacity 0.5s ease-in-out;
}

.logo-video {
    width: 30%;
}

.button-video {
    position: absolute;
    width: 40px;
    bottom: 5%;
    animation: pulse 1s infinite;
    -moz-animation: bounce 2s infinite;
    -webkit-animation: bounce 2s infinite;
    animation: bounce 2s infinite;
}

@keyframes bounce {

    0%,
    20%,
    50%,
    80%,
    100% {
        -moz-transform: translateY(0);
        -ms-transform: translateY(0);
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }

    40% {
        -moz-transform: translateY(-10px);
        -ms-transform: translateY(-10px);
        -webkit-transform: translateY(-10px);
        transform: translateY(-10px);
    }

    60% {
        -moz-transform: translateY(-5px);
        -ms-transform: translateY(-5px);
        -webkit-transform: translateY(-5px);
        transform: translateY(-5px);
    }
}

#splash-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    cursor: pointer;
    overflow: hidden;
    background-color: var(--clr-dark-blue);
    transition: transform 0.8s cubic-bezier(0.85, 0, 0.15, 1), opacity 0.8s ease-in-out;
}

.splash-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    object-fit: cover;
    z-index: 1;
}

.video-dark-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 2;
}

.splash-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 3;
}

.intro-hidden {
    transform: translateY(-100vh);
    opacity: 0;
    pointer-events: none;
}

/* ======================================================== */
/* Navigation */
/* ======================================================== */

.header {
    height: 5rem;
    display: flex;
    align-items: center;
    font-size: var(--fs-lg);
    padding: 3% 10%;
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0px 1px 10px #878787;

    position: fixed;
    top: 0;
    width: 100%;
    z-index: 2;
}

.header>.container {
    display: flex;
    height: 100%;
    align-items: center;
    position: relative;
}

.header__logo {
    position: absolute;
    width: 7%;
}

.header__nav {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.header__nav ul {
    display: flex;
    gap: 1.5em;
    white-space: nowrap;
}

.header__nav ul li {
    font-size: .9em;
    font-weight: regular;
}

a:hover {
    color: var(--clr-light-blue);
    transition: color .20s;
}

/* ======================================================== */
/* Banner*/
/* ======================================================== */

.banner {
    margin-bottom: 4%;
    position: relative;
    text-align: center;
}

.img-banner {
    max-inline-size: 100%;
}

/* ======================================================== */
/* Home*/
/* ======================================================== */

.background-image {
    /* =========================Highlightbox Bild=============================== */
    background-image: url("../assets/Bilder-Video/Taucher-beobachtet-Fische.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-position-y: center;
    background-position-x: 25%;
    border-radius: 1rem;
    padding: 5% 0%;
    color: var(--clr-white)
}

/* ======================================================== */
/* Karte*/
/* ======================================================== */

.karte-h3 {
    color: var(--clr-white);
    text-align: center;
}

.background {
    background: radial-gradient(#003D7C, #00072D 70%);
    padding: 5% 0%;
}

#tauchspots-karte {
    padding: 5% 10% 0% 5%;
}

.interactive-spot {
    cursor: pointer;
}

.interactive-spot:hover path {
    fill: var(--clr-light-blue);
}

.interactive-spot:hover polygon {
    fill: var(--clr-light-blue);
}

.images-overlay {
    width: 100%;
    height: 100%;
    border-radius: 1rem;
}

.close-overlay {
    position: absolute;
    width: 30px;
    top: 3%;
    right: 2%;
    cursor: pointer;
}

.bg-image-overlay {
    color: var(--clr-white);
    position: absolute;
}

.overlay-textbox {
    position: absolute;
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    padding: 2%;
    border-radius: 1rem;
    width: 60%;
    color: var(--clr-dark-blue);
    right: 2%;
    bottom: 5%;
}

.overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: radial-gradient(#003D7C, #00072D 70%);
    z-index: 99;
    justify-content: center;
    align-items: center;
}

/* ======================================================== */
/* Kurse + Buchungsformular*/
/* ======================================================== */

.kurse-h2 {
    color: var(--clr-white);
}

.scene {
    width: 100%;
    height: 350px;
    perspective: 1000px;
}

.card {
    width: 100%;
    height: 100%;
    position: relative;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.card.is-flipped {
    transform: rotateY(180deg);
}

.card_face {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 1rem;
    overflow: hidden;
}

.card-front {
    background: #fff;
}

.card-bild {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1rem;
}

.card-back {
    background: linear-gradient(#003D7C, #00072D);
    color: #fff;
    padding: 5%;
    transform: rotateY(180deg);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.click-button {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 3% 0%;
    width: 100%;
}

.buchungsformular-h2 {
    color: var(--clr-white);
    padding-bottom: 2%;
}

.background2 {
    background: linear-gradient(#00072D, #003D7C);
    padding: 5% 0% 0% 0%;
    color: var(--clr-white);
}

.bg-image-buchung {
    width: 100%;
    height: auto;
}

.buchung-kurs-termin {
    display: flex;
    width: 100%;
    gap: 3%;
}

.kurs {
    display: block;
    width: 100%;
}

.termin {
    display: block;
    width: 100%;
}

.buchung-name-adresse-email {
    display: flex;
    width: 100%;
    gap: 3%;
}

.name {
    display: block;
    width: 100%;
}

.adresse {
    display: block;
    width: 100%;
}

.email {
    display: block;
    width: 100%;
}

.checkbox-container label {
    font-size: var(--fs-base);
}

.checkbox-container2 label {
    font-size: var(--fs-base);
}

.checkbox-container2 {
    padding-bottom: 2%;
    display: flex;
    align-items: start;
    gap: 5px;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;

    background-image: url("../assets/Icons-Grafiken/down-formular.svg");
    background-repeat: no-repeat;
    background-size: 5%;
    background-position: right 3% center;
    padding-right: 30px;
}

select::-ms-expand {
    display: none;
}

input[type=text],
select,
textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    font-family: "Poppins", sans-serif;
    font-size: var(--fs-base);
}

input[type=submit] {
    border: none;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: var(--clr-light-blue-hover);
}

/* ======================================================== */
/* Kontakt*/
/* ======================================================== */

.background3 {
    background: var(--clr-beige);
    padding: 5% 0% 0% 0%;
}

.background4 {
    background: linear-gradient(#003D7C, #00072D);
    padding: 5% 5%;
    border-radius: 1rem;
    color: var(--clr-white);
}

.icons {
    width: 7%;
}

.contact-1 li {
    display: flex;
    align-items: center;
    gap: 10px;
    padding-bottom: 10px;
}

.contact-1 li a {
    display: flex;
    align-items: center;
    gap: 10px;
}

.contact-name-email {
    display: flex;
    width: 100%;
    gap: 3%;
}

/* ======================================================== */
/* Footer*/
/* ======================================================== */

.footer {
    color: var(--clr-white);
    position: relative;
    overflow: hidden;
}

.logo-footer {
    margin-right: 8%;
    width: 20%;
}

.contact {
    margin-right: 4%;
}

.location {
    margin-right: 4%;
}

.bg-image {
    width: 100%;
    height: auto;
    display: block;
}

.footer-content {
    display: flex;
    position: absolute;
    align-items: start;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 30% 10% 10% 10%;
}